PAKCS(1)

NAME
pakcs - the Portland Aachen Kiel Curry System

SYNOPSIS
pakcs [OPTIONS]

DESCRIPTION
PAKCS is an implementation of the functional logic language Curry (http://currry-language.org) which compiles Curry programs into Prolog programs. Detailed information about PAKCS can be found at https://www.informatik.uni-kiel.de/~pakcs/

The command pakcs either invokes the interactive environment or one of the various tools (e.g., documentation generation, browsing and analyzing programs, web frameworks, etc).

OPTIONS
Invoke interactive environment:

pakcs <options> [ -- <run-time arguments>]

with options:

--h, --help, -?
    show this message and quit

-V, --version
    show version and quit

-q, --quiet
    work silently

--noreadline
    do not use input line editing via command "rlwrap"

-D<prop>=val
    define pakcsrc property "prop" as "val" :<cmd> <args> : command of the PAKCS environment

Invoke some tool:

pakcs <tool> <tool specific options>

where <tool> is one of:

    addtypes : add missing signature to top-level operations

    analyze : analyze various properties (via CASS)

    browse : browse and analyze

    check : check properties

    createmake : create make file for main module

    frontend : Curry front end

    data2xml : generate XML bindings

    doc : generate documentation for Curry programs

    erd2cdbi : create database code for ER model and Database.CDBI libraries

    erd2curry : create database code for ER model

    makecgi : translate Curry HTML program into CGI program

    peval : partially evaluate a program

    pp : Curry preprocessor

    spiceup : create web application via Spicey

    style : check style of source programs

    test : test assertions (no longer supported)

    verify : translate Curry module to Agda for property verification

To get more help about the usage of a tool, type

        pakcs <tool> -h

AUTHOR
This manual page has been written by Michael Hanus and converted to nroff format by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. This man page has been written for the Debian project initially, but may also be used by others.